/// <reference types="webxr" />
import { Component } from '@wonderlandengine/api';
/**
 * Sets up a [WebXR Device API "Hit Test"](https://immersive-web.github.io/hit-test/)
 * and places the object to the hit location.
 *
 * **Requirements:**
 *  - Specify `'hit-test'` in the required or optional features on the AR button in your html file.
 *    See [Wastepaperbin AR](/showcase/wpb-ar) as an example.
 */
export declare class HitTestLocation extends Component {
    static TypeName: string;
    static Properties: {};
    tempScaling: Float32Array;
    visible: boolean;
    xrHitTestSource: XRHitTestSource | null;
    start(): void;
    update(): void;
    getHitTestResults(): XRHitTestResult[];
    xrSessionStart(session: XRSession): void;
    xrSessionEnd(): void;
}
