/**
 * Inverse Kinematics for two-joint chains (e.g. knees or ellbows)
 */
export class TwoJointIkSolver extends Component {
    static Properties: {
        /** Root bone, never moves */
        root: {
            type: Type;
        };
        /** Bone attached to the root */
        middle: {
            type: Type;
        };
        /** Bone attached to the middle */
        end: {
            type: Type;
        };
        /** Target the joins should reach for */
        target: {
            type: Type;
        };
        /** Helper object to use to determine joint rotation axis */
        helper: {
            type: Type;
        };
    };
    init(): void;
    pos: Float32Array | undefined;
    p: Float32Array[] | undefined;
    update(): void;
}
import { Component } from '@wonderlandengine/api';
import { Type } from '@wonderlandengine/api';
